<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (version 1.7.0_79) on Thu Jun 23 07:55:02 CEST 2016 -->
<title>GameOnline</title>
<meta name="date" content="2016-06-23">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="GameOnline";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/GameOnline.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../controler/Game.html" title="class in controler"><span class="strong">Prev Class</span></a></li>
<li><a href="../controler/GridListener.html" title="class in controler"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?controler/GameOnline.html" target="_top">Frames</a></li>
<li><a href="GameOnline.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">controler</div>
<h2 title="Class GameOnline" class="title">Class GameOnline</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../controler/Game.html" title="class in controler">controler.Game</a></li>
<li>
<ul class="inheritance">
<li>controler.GameOnline</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>java.lang.Runnable</dd>
</dl>
<hr>
<br>
<pre>public class <span class="strong">GameOnline</span>
extends <a href="../controler/Game.html" title="class in controler">Game</a>
implements java.lang.Runnable</pre>
<div class="block">The Class GameOnline is use only for the online gamemode.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../controler/GameOnline.html#GameOnline(model.GameRuleOnline,%20view.Blokus,%20model.PlayerOnline,%20java.lang.String)">GameOnline</a></strong>(<a href="../model/GameRuleOnline.html" title="class in model">GameRuleOnline</a>&nbsp;gr,
          <a href="../view/Blokus.html" title="class in view">Blokus</a>&nbsp;blokus,
          <a href="../model/PlayerOnline.html" title="class in model">PlayerOnline</a>&nbsp;player,
          java.lang.String&nbsp;host)</code>
<div class="block">Instantiates a new game online.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../controler/GameOnline.html#confirmPosition()">confirmPosition</a></strong>()</code>
<div class="block">If the nextPiece and the nextPosition are valid,this method place the piece in the
 map and the grid, and remove it in the player and return true.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../controler/GameOnline.html#run()">run</a></strong>()</code>
<div class="block">This thread actualize the gameRule between the server and this game.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../controler/GameOnline.html#synchro()">synchro</a></strong>()</code>
<div class="block">Synchronize this game (in view) with its GameRule.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_controler.Game">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;controler.<a href="../controler/Game.html" title="class in controler">Game</a></h3>
<code><a href="../controler/Game.html#getActualPlayer()">getActualPlayer</a>, <a href="../controler/Game.html#getGameRule()">getGameRule</a>, <a href="../controler/Game.html#getGrid()">getGrid</a>, <a href="../controler/Game.html#getLastPiece()">getLastPiece</a>, <a href="../controler/Game.html#getMap()">getMap</a>, <a href="../controler/Game.html#getNextPiece()">getNextPiece</a>, <a href="../controler/Game.html#getNextPosition()">getNextPosition</a>, <a href="../controler/Game.html#getPlayers()">getPlayers</a>, <a href="../controler/Game.html#isActualPlayer(model.Player)">isActualPlayer</a>, <a href="../controler/Game.html#nextTour()">nextTour</a>, <a href="../controler/Game.html#removeNextPiece()">removeNextPiece</a>, <a href="../controler/Game.html#setLastPiece(view.PlayerPiece)">setLastPiece</a>, <a href="../controler/Game.html#setNextPiece(model.Piece)">setNextPiece</a>, <a href="../controler/Game.html#setNextPosition(model.Position)">setNextPosition</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="GameOnline(model.GameRuleOnline, view.Blokus, model.PlayerOnline, java.lang.String)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>GameOnline</h4>
<pre>public&nbsp;GameOnline(<a href="../model/GameRuleOnline.html" title="class in model">GameRuleOnline</a>&nbsp;gr,
          <a href="../view/Blokus.html" title="class in view">Blokus</a>&nbsp;blokus,
          <a href="../model/PlayerOnline.html" title="class in model">PlayerOnline</a>&nbsp;player,
          java.lang.String&nbsp;host)</pre>
<div class="block">Instantiates a new game online.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>gr</code> - the GameRule of this game</dd><dd><code>blokus</code> - the frame who contains and display the game.</dd><dd><code>player</code> - The player online. (the player of this computer)</dd><dd><code>host</code> - The host (the name of the server computer)</dd></dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="run()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>run</h4>
<pre>public&nbsp;void&nbsp;run()</pre>
<div class="block">This thread actualize the gameRule between the server and this game.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code>run</code>&nbsp;in interface&nbsp;<code>java.lang.Runnable</code></dd>
</dl>
</li>
</ul>
<a name="synchro()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>synchro</h4>
<pre>public&nbsp;void&nbsp;synchro()</pre>
<div class="block">Synchronize this game (in view) with its GameRule. (used in the only mode and when we restart a game)</div>
<dl>
<dt><strong>Overrides:</strong></dt>
<dd><code><a href="../controler/Game.html#synchro()">synchro</a></code>&nbsp;in class&nbsp;<code><a href="../controler/Game.html" title="class in controler">Game</a></code></dd>
</dl>
</li>
</ul>
<a name="confirmPosition()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>confirmPosition</h4>
<pre>public&nbsp;boolean&nbsp;confirmPosition()</pre>
<div class="block">If the nextPiece and the nextPosition are valid,this method place the piece in the
 map and the grid, and remove it in the player and return true.
 Else it return false.</div>
<dl>
<dt><strong>Overrides:</strong></dt>
<dd><code><a href="../controler/Game.html#confirmPosition()">confirmPosition</a></code>&nbsp;in class&nbsp;<code><a href="../controler/Game.html" title="class in controler">Game</a></code></dd>
<dt><span class="strong">Returns:</span></dt><dd>true, if successful</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/GameOnline.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../controler/Game.html" title="class in controler"><span class="strong">Prev Class</span></a></li>
<li><a href="../controler/GridListener.html" title="class in controler"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?controler/GameOnline.html" target="_top">Frames</a></li>
<li><a href="GameOnline.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
